<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<h2 mat-dialog-title>{{'admin.electoral-authority-key.label-edit-dialog.title' | translate}}</h2>
<mat-dialog-content>
  <form [formGroup]="form" novalidate>
    <mat-form-field>
      <input matInput formControlName="label" maxlength="200"
             placeholder="{{'admin.electoral-authority-key.edit.form.fields.label.placeholder' | translate}}">
      <mat-error>
        <default-errors [fieldName]="'label'" [form]="form"></default-errors>
      </mat-error>
    </mat-form-field>
  </form>
</mat-dialog-content>
<mat-dialog-actions fxLayout="row" fxLayoutAlign="end">
  <button mat-button (click)="cancel()" id="cancel">{{'global.actions.cancel' | translate | uppercase}}</button>
  <button mat-raised-button (click)="accept()" color="primary" [disabled]="data.label.trim() === ''" id="accept">
    {{'global.actions.validate' | translate | uppercase}}
  </button>
</mat-dialog-actions>


